Skip to main content

List Refunds

Retrieve a paginated list of refunds with optional filters.

GEThttps://api.zenpayz.com/merchant/api/v1/refund-intents
Bearer · API key

Request

Headers

HeaderDescription
Authorization
REQUIRED
Bearer {api_key}
X-Signature
REQUIRED
HMAC-SHA256 signature
X-Timestamp
REQUIRED
ISO 8601 timestamp
X-Secret-Salt
REQUIRED
Secret salt for HMAC validation

Query Parameters

ParameterTypeDescription
page
OPTIONAL
integer1Page number
limit
OPTIONAL
integer20Items per page (max 100)
customerId
OPTIONAL
string-Filter by customer
transactionId
OPTIONAL
string-Filter by transaction
status
OPTIONAL
string-Filter by status
startDate
OPTIONAL
string-Start date (ISO 8601)
endDate
OPTIONAL
string-End date (ISO 8601)
currency
OPTIONAL
string-Filter by currency

Refund Status Values

StatusDescription
requires_beneficiaryBeneficiary details needed — re-submit with required fields
pending_approvalAwaiting admin approval
approvedApproved, being sent to provider
processingBeing processed by payment provider
completedRefund completed successfully
failedRefund failed — check failureReason
rejectedRejected by admin
cancelledCancelled before processing

Response

Success (200 OK)

{
"success": true,
"data": [
{
"refundId": "refund_1774683026458_oann5ibjf",
"merchantId": "ZP_FIN_1774592804_0781001264",
"customerId": "cust_mn8yfewm_37ntht",
"transactionId": "txn_1774619159530_1_mn8yfmph_5iwb9b",
"paymentIntentId": "pi_1774619159530_66d8s8v25",
"amount": 30,
"originalAmount": 100,
"currency": "INR",
"refundType": "partial",
"status": "pending_approval",
"tspProvider": "sulifu_pay",
"externalRefundId": null,
"reason": "Customer requested refund",
"createdAt": "2026-03-28T07:30:26.479Z",
"completedAt": null,
"failureReason": null,
"processingTimeMs": null
}
],
"metadata": {
"pagination": {
"page": 1,
"limit": 20,
"total": 45,
"totalPages": 3
}
}
}

Examples

curl -X GET "https://api.zenpayz.com/merchant/api/v1/refund-intents?status=completed&limit=50" \
-H "Authorization: Bearer zp_test_xxxxx" \
-H "X-Timestamp: 2024-01-15T10:30:00.000Z" \
-H "X-Signature: a1b2c3d4e5f6..." \
-H "X-Secret-Salt: your_secret_salt"